跳转到内容

快速开始

Terminal window
export KEY='YOUR_API_KEY'
export BASE='https://ipv.rent'
Terminal window
curl -s "$BASE/api/v1/products" -H "Authorization: Bearer $KEY"
{
"products": [
{
"slug": "residential",
"name": "Residential",
"family": "traffic_gateway",
"unit": "gb",
"unit_price": "2.00",
"monthly_price_from": null,
"currency": "USD",
"min_volume": 1,
"volume_presets": [1, 5, 10, 25, 50, 100, 250, 500],
"volume_discounts": []
},
{
"slug": "ipv4",
"name": "IPv4",
"family": "dedicated",
"unit": "ip",
"unit_price": null,
"monthly_price_from": "1.49",
"currency": "USD",
"min_volume": 1,
"volume_presets": [],
"volume_discounts": []
}
]
}

slug 就是之后所有请求中 product 字段的值。接下来每个产品各有一条路径。

1. 价格

Terminal window
curl -s -X POST "$BASE/api/v1/quote" \
-H "Authorization: Bearer $KEY" -H 'Content-Type: application/json' \
-d '{"product":"residential","volume":10}'
{
"unit": "2.00",
"unit_label": "per_gb",
"quantity": 10,
"discount": "0.00",
"discount_percent": "0.00",
"total": "20.00",
"currency": "USD"
}

2. 购买

Terminal window
curl -s -X POST "$BASE/api/v1/packages" \
-H "Authorization: Bearer $KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H 'Content-Type: application/json' \
-d '{
"product": "residential",
"volume": 10,
"client_reference": "first-run"
}'
{
"order_id": 128,
"package_id": 42,
"status": "completed",
"price": "20.00",
"client_reference": "first-run"
}

请在发送请求前保存幂等键:超时后重试必须带上相同的值。

3. 连接

Terminal window
curl -s -X POST "$BASE/api/v1/packages/42/proxies" \
-H "Authorization: Bearer $KEY" -H 'Content-Type: application/json' \
-d '{
"count": 2,
"mode": "sticky",
"protocol": "http",
"ttl_minutes": 30,
"geo": {
"country": "us"
}
}'
{
"count": 2,
"proxies": [
{
"host": "residential.ipv.rent",
"port": 10000,
"username": "USERNAME_1",
"password": "PASSWORD",
"rotation_url": "https://ipv.rent/r/9f3c1e..."
},
{
"host": "residential.ipv.rent",
"port": 10000,
"username": "USERNAME_2",
"password": "PASSWORD",
"rotation_url": "https://ipv.rent/r/1a77b2..."
}
]
}

4. 验证

Terminal window
curl -x 'http://USERNAME_1:[email protected]:10000' https://api.ipify.org

1. 可选项

Terminal window
curl -s "$BASE/api/v1/products/ipv4/options" -H "Authorization: Bearer $KEY"
{
"type": "ipv4",
"countries": [
{
"code": "us",
"name": "United States",
"periods": ["week", "2_weeks", "month", "2_months", "3_months"],
"quantity_max": null,
"plans": [
{
"id": "dc",
"traffic_gb": null,
"periods": ["week", "2_weeks", "month", "2_months", "3_months"],
"operators": [
{
"id": "united-states",
"name": "United States",
"available": 374
}
]
}
]
},
"..."
]
}

operators - 国家内的位置:整个国家或某个城市。available - 该位置当前可用的地址数量; 购买数量不能超过它。quantity_max: null - 没有单独的购买数量限制。

2. 价格

Terminal window
curl -s -X POST "$BASE/api/v1/quote" \
-H "Authorization: Bearer $KEY" -H 'Content-Type: application/json' \
-d '{
"product": "ipv4",
"country": "us",
"operator": "united-states",
"period": "month",
"quantity": 2
}'
{
"unit": "1.49",
"unit_label": "per_ip",
"quantity": 2,
"discount": "0.00",
"discount_percent": "0.00",
"total": "2.98",
"currency": "USD"
}

3. 购买

Terminal window
curl -s -X POST "$BASE/api/v1/packages" \
-H "Authorization: Bearer $KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H 'Content-Type: application/json' \
-d '{
"product": "ipv4",
"country": "us",
"operator": "united-states",
"period": "month",
"quantity": 2
}'
{
"order_id": 131,
"package_id": 57,
"status": "completed",
"price": "2.98",
"client_reference": null,
"package_ids": [57],
"requested": 2,
"fulfilled": 2
}

一次购买的所有地址组成一个套餐。

4. 地址和访问凭证

Terminal window
curl -s "$BASE/api/v1/packages/57" -H "Authorization: Bearer $KEY"
{
"id": 57,
"family": "dedicated",
"product": "ipv4",
"status": "active",
"expires_at": "2026-11-04T12:00:00+00:00",
"auto_renew": true,
"credentials": {
"username": "USERNAME",
"password": "PASSWORD"
},
"addresses": [
{
"host": "198.51.100.11",
"port_http": 10010,
"port_socks": 10011
},
{
"host": "198.51.100.12",
"port_http": 10012,
"port_socks": 10013
}
],
"...": "..."
}

地址在购买后 2 分钟内开始响应。

5. 验证

Terminal window
curl -x 'http://USERNAME:[email protected]:10010' https://api.ipify.org

续期、自动续期、更换地址和指纹见 固定地址页面。

1. 可选项

Terminal window
curl -s "$BASE/api/v1/products/mobile/options" -H "Authorization: Bearer $KEY"
{
"type": "mobile",
"countries": [
{
"code": "fr",
"name": "France",
"periods": ["day", "week", "month", "3_months"],
"quantity_max": null,
"plans": [
{
"id": "unlimited",
"traffic_gb": null,
"periods": ["day", "week", "month", "3_months"],
"operators": [
{
"id": "free-mobile",
"name": "Free Mobile",
"available": 7
},
{
"id": "sfr",
"name": "SFR",
"available": 3
}
]
}
]
},
"..."
]
}

operators 是该国家的移动运营商。available - 该运营商当前可用的端口数量;不能购买更多。

2. 价格

Terminal window
curl -s -X POST "$BASE/api/v1/quote" \
-H "Authorization: Bearer $KEY" -H 'Content-Type: application/json' \
-d '{
"product": "mobile",
"country": "fr",
"operator": "free-mobile",
"period": "day",
"quantity": 1
}'

3. 购买

Terminal window
curl -s -X POST "$BASE/api/v1/packages" \
-H "Authorization: Bearer $KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H 'Content-Type: application/json' \
-d '{
"product": "mobile",
"country": "fr",
"operator": "free-mobile",
"period": "day",
"quantity": 1
}'

如果运营商的可用端口少于请求的数量,购买会以 422 out_of_stock 被拒绝,不会扣款。

4. 端口和访问凭证

Terminal window
curl -s "$BASE/api/v1/packages/58" -H "Authorization: Bearer $KEY"
{
"id": 58,
"family": "dedicated",
"product": "mobile",
"status": "active",
"credentials": {
"username": "USERNAME",
"password": "PASSWORD"
},
"addresses": [
{
"host": "fr2.mobile.ipv.rent",
"port_http": 13029,
"port_socks": 13029
}
],
"endpoint": {
"country": "fr",
"operator": "Free Mobile",
"rotation_interval_minutes": 0,
"rotation_url": "https://ipv.rent/r/9f3c1e..."
},
"capabilities": ["prolong", "rotate", "rotation_interval", "credentials", "renewal"],
"...": "..."
}

HTTP 和 SOCKS5 在同一端口上工作。

5. 验证和更换 IP

Terminal window
curl -x 'http://USERNAME:[email protected]:13029' https://api.ipify.org
curl -s 'https://ipv.rent/r/9f3c1e...'

对 rotation_url 发送 GET,端口会获得同一运营商的新 IP;返回结果见 更换 IP。更换 IP 期间,端口会断开连接几秒钟。更换 IP 定时器在控制台中设置。

续期、自动续期和密码见 固定地址页面:对移动套餐同样适用。移动端口不支持更换地址和指纹。 到期后的移动端口无法续期。